ALTER TABLE C_CATALOG
  -- type is STANDARD or LEADERBOARD
  ADD COLUMN TYPE VARCHAR(50) NOT NULL DEFAULT 'STANDARD';

ALTER TABLE C_SOLUTION
  ADD COLUMN SOURCE_CODE_URL VARCHAR(1024),
  ADD COLUMN DEPLOYMENT_COUNT INT NOT NULL DEFAULT 0,
  ADD COLUMN BADGES VARCHAR(4000) CHECK (BADGES IS NULL OR JSON_VALID(BADGES));

ALTER TABLE C_CAT_SOL_MAP
  ADD COLUMN RANKING INT NOT NULL DEFAULT 0;

ALTER TABLE C_USER
  ADD COLUMN BADGES VARCHAR(4000) CHECK (BADGES IS NULL OR JSON_VALID(BADGES));

ALTER TABLE C_PEER
  ADD COLUMN PUBLIC_SIGNATURE_KEY VARCHAR(4096);

ALTER TABLE C_ARTIFACT
  ADD COLUMN CONTENT LONGBLOB DEFAULT NULL;

ALTER TABLE C_DOCUMENT
  ADD COLUMN CONTENT LONGBLOB DEFAULT NULL;
